GET
/
v1
/
teams
/
{teamId}
/
content
/
slideshows
/
{contentItemId}
/
render-jobs
/
latest
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.slideshows.getLatestContentRenderJob({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  contentItemId: process.env.OCTOSPARK_CONTENT_ITEM_ID ?? "contentItemId",
})
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contentItemId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "artifactRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payloadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "payloadRevision": 123,
  "creativeHash": "<string>",
  "rendererVersion": "<string>",
  "status": "<string>",
  "workflowId": "<string>",
  "outputWidth": 123,
  "outputHeight": 123,
  "slideCount": 123,
  "pixelCount": 123,
  "outputManifest": {},
  "durationMs": 123,
  "hostId": "<string>",
  "errorClass": "<string>",
  "errorCode": "<string>",
  "diagnostics": "<string>",
  "retryable": true,
  "createdAt": "<string>",
  "startedAt": "<string>",
  "completedAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

contentItemId
string<uuid>
required

Slideshow content item id (UUID), as returned by createSlideshow, createSlideshowGeneration, or listSlideshows.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

ContentRenderJobResponse

id
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
contentItemId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
artifactRunId
string<uuid> | null
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
payloadId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
payloadRevision
integer
required

an integer

creativeHash
string
required
rendererVersion
string
required
status
string
required
workflowId
string
required
outputWidth
integer
required

an integer

outputHeight
integer
required

an integer

slideCount
integer
required

an integer

pixelCount
integer
required

an integer

outputManifest
object
required
durationMs
integer | null
required

an integer

hostId
string | null
required
errorClass
string | null
required
errorCode
string | null
required
diagnostics
string | null
required
retryable
boolean | null
required
createdAt
string
required
startedAt
string | null
required
completedAt
string | null
required
updatedAt
string
required